/* Overlay */
.modal-overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.6);
  display: flex;
  align-items: center;
  justify-content: center;
  opacity: 0;
  visibility: hidden;
  transition: opacity 0.3s ease;
  z-index: 9999;
}

/* Modal Box */
.modal-box {
  background: #ffffff;
  padding: 15px;
  border-radius: 14px;
  max-width: 900px;
  width: 90%;
  position: relative;
  transform: translateY(20px);
  transition: transform 0.3s ease;
}
@media only screen and (min-width: 768px) {
  .modal-box {
    padding: 20px;
    border-radius: 16px;
    width: 600px;
  }
}

.modal-box .modal_header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 10px;
  gap: 15px;
}

.modal-box .modal_header .modal_title {
  font-size: 18px;
  line-height: 1.2em;
  font-weight: 600;
  color: var(--e-global-color-text);
  font-family: 'Inter', sans-serif;
}

/* Active State */
.modal-overlay.active {
  opacity: 1;
  visibility: visible;
}

.modal-overlay.active .modal-box {
  transform: translateY(0);
}

/* Close Button */
.modal-close {
  position: absolute;
  top: 0px;
  right: 0px;
  background: var(--e-global-color-primary);
  border: none;
  border-top-right-radius:14px ;
  font-size: 30px;
  padding: 5px 10px;
  cursor: pointer;
}